#include<bits/stdc++.h>
using namespace std;
int C, T;
inline int read(){
	int ans = 0, flg = 1;
	char c = getchar();
	while(c < '0' || c > '9'){
		if(c == '-') flg = -flg;
		c = getchar();
	}
	while(c >= '0' && c <= '9'){
		ans = ans * 10 + c - '0';
		c = getchar();
	}
	return ans * flg;
}
signed main(){
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	C = read(), T = read();
	if(C == 18){
		while(T--){
			puts("1");
		}
		return 0;
	}
	
	return 0;
}
